namespace Encfs {
    [CCode (cname = "encfs_wrapper_stash_get_info", cprefix = "", cheader_filename = "encfs/encfs_wrapper.h")]
    int get_info (string crypt_dir, out string output);
    
    [CCode (cname = "encfs_wrapper_stash_change_password", cprefix = "", cheader_filename = "encfs/encfs_wrapper.h")]
    int change_password (string crypt_dir, string old_password, string new_password, out string output);
    
    /** mode is either "s\n", "p\n" or "x\n" */
    [CCode (cname = "encfs_wrapper_stash_new", cprefix = "", cheader_filename = "encfs/encfs_wrapper.h")]
    int create_new (string crypt_dir, string mount_dir, string mode, string password);
    
    [CCode (cname = "encfs_wrapper_stash_mount", cprefix = "", cheader_filename = "encfs/encfs_wrapper.h")]
    int mount(string crypt_dir, string mount_dir, string password, int idle_timeout, bool allow_other, out string output);
    
    [CCode (cname = "encfs_wrapper_stash_unmount", cprefix = "", cheader_filename = "encfs/encfs_wrapper.h")]
    int unmount (string mount_dir);
    
    [CCode (cname = "encfs_wrapper_is_mounted", cprefix = "", cheader_filename = "encfs/encfs_wrapper.h")]
    bool is_mounted(string mount_dir);
}
